Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.validator
Class ValidatorResult

    java.lang.Object
      |
      +--org.apache.commons.validator.ValidatorResult

All Implemented Interfaces:
  java.io.Serializable

public class ValidatorResult
extends java.lang.Object
implements java.io.Serializable

This contains the results of a set of validation rules processed on a JavaBean.

Version:
  $Revision: 478334 $ $Date: 2006-11-22 21:31:54 +0000 (Wed, 22 Nov 2006) $
See Also:
  Serialized Form

Inner Class Summary
`protected class` | `ValidatorResult.ResultStatus` Contains the status of the validation.

Field Summary
`protected Field` | `field` `Field` being validated.
`protected java.util.Map` | `hAction` Map of results.

Constructor Summary
`ValidatorResult(Field field)` Constructs a `ValidatorResult` with the associated field being validated.

Method Summary
`void` | `add(java.lang.String validatorName, boolean result)` Add the result of a validator action.
`void` | `add(java.lang.String validatorName, boolean result, java.lang.Object value)` Add the result of a validator action.
`boolean` | `containsAction(java.lang.String validatorName)` Indicate whether a specified validator is in the Result.
`java.util.Map` | `getActionMap()` Deprecated. Use getActions() to return the set of actions the isValid(name) and getResult(name) methods to determine the contents of ResultStatus.
`java.util.Iterator` | `getActions()` Return an Iterator of the action names contained in this Result.
`Field` | `getField()` Returns the Field that was validated.
`java.lang.Object` | `getResult(java.lang.String validatorName)` Return the result of a validation.
`boolean` | `isValid(java.lang.String validatorName)` Indicate whether a specified validation passed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hAction

    protected java.util.Map hAction

  Map of results. The key is the name of the `ValidatorAction` and the value is whether or not this field passed or not.

### field

    protected Field field

  `Field` being validated. TODO This variable is not used. Need to investigate removing it.

Constructor Detail

### ValidatorResult

    public ValidatorResult(Field field)

  Constructs a `ValidatorResult` with the associated field being validated.
  Parameters:
    `field` - Field that was validated.

Method Detail

### add

    public void add(java.lang.String validatorName,
                    boolean result)

  Add the result of a validator action.
  Parameters:
    `validatorName` - Name of the validator.
    `result` - Whether the validation passed or failed.

### add

    public void add(java.lang.String validatorName,
                    boolean result,
                    java.lang.Object value)

  Add the result of a validator action.
  Parameters:
    `validatorName` - Name of the validator.
    `result` - Whether the validation passed or failed.
    `value` - Value returned by the validator.

### containsAction

    public boolean containsAction(java.lang.String validatorName)

  Indicate whether a specified validator is in the Result.
  Parameters:
    `validatorName` - Name of the validator.
  Returns:
    true if the validator is in the result.

### isValid

    public boolean isValid(java.lang.String validatorName)

  Indicate whether a specified validation passed.
  Parameters:
    `validatorName` - Name of the validator.
  Returns:
    true if the validation passed.

### getResult

    public java.lang.Object getResult(java.lang.String validatorName)

  Return the result of a validation.
  Parameters:
    `validatorName` - Name of the validator.
  Returns:
    The validation result.

### getActions

    public java.util.Iterator getActions()

  Return an Iterator of the action names contained in this Result.
  Returns:
    The set of action names.

### getActionMap

    public java.util.Map getActionMap()

  Deprecated. Use getActions() to return the set of actions the isValid(name) and getResult(name) methods to determine the contents of ResultStatus.

  Return a Map of the validator actions in this Result.
  Returns:
    Map of validator actions.

### getField

    public Field getField()

  Returns the Field that was validated.
  Returns:
    The Field associated with this result.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.